=== debian/control ===
Source: ros-melodic-rokubimini-ethercat
Section: misc
Priority: optional
Maintainer: Bota Systems AG <sw-support@botasys.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-rokubimini, ros-melodic-rokubimini-bus-manager, ros-melodic-rokubimini-msgs, ros-melodic-soem
Homepage: https://gitlab.com/botasys/bota_driver
Standards-Version: 3.9.2

Package: ros-melodic-rokubimini-ethercat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-rokubimini, ros-melodic-rokubimini-bus-manager, ros-melodic-rokubimini-msgs, ros-melodic-soem
Description: Rokubimini Ethercat implementation.
